| optoICC

Loading...
Searching...
No Matches
optoICC.registers.icc_registers.ICCMiscFeatures Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCMiscFeatures:

## Public Member Functions
| __init__ (self, board=None)
| ResetFW (self)
| Resets firmware of the driver.
| GetFEpower (self)
| Gets the frontend power supply state, 0 = false, 1 = true.
| SetFEpower (self, state=0)
| Sets the frontend power supply state, 0 = false, 1 = true.
| GetFEvoltage (self)
| Gets the frontend supply voltage, default is 12.0 V.
| SetFEvoltage (self, voltage=12.0)
| Sets the frontend supply voltage, default is 12.0 V.
| GetPWMfrequency (self)
| Gets the output stage PWM frequency.
| SetPWMfrequency (self, frequency=1000)
| Sets the output stage PWM frequency.
| GetOutputState (self, channel)
| Gets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.
| SetOutputState (self, channel, state=0)
| Sets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.
| GetADCcurrent (self, channel=0)
| Reads current [A] on specific channel.
| GetADCvoltage (self, channel=0)
| Reads voltage [V] on specific channel.
| GetDevicePower (self, channel)
| Gets 3v3 for device on specific channel.
| SetDevicePower (self, channel, state=0)
| Sets 3v3 for device on specific channel.
DeviceModel | GetDeviceType (self, channel)
| Gets device type connected to specific channel.
| GetUIN (self)
| Gets input voltage.
| GetIIN (self)
| Gets input current.
| GetUFE (self)
| Gets FE voltage.
| GetAnalogInput (self, channel=0)
| Gets analog input voltage on specific channel.
| GetResistance (self, channel=0)
| Gets load resistance on specific channel.
| GetAutoConfig (self)
| Gets parameter value stored in driver's board eeprom, 0 = off, 1 = internal, 2 = ext.
| SetAutoConfig (self, value)
| Sets autoconfig type, 0 = off, 1 = internal, 2 = ext.
| GetWcState (self)
| Gets WC state.
| SetWcState (self, value)
| Sets state of WC output signal.
| EnableCalCoefficients (self, enable=1)
| Enables/disables calibration coefficients for measurements in this system, 0 = disabled, 1 = enabled.
| SetDefaultState (self, state)
| Sets driver state, 1 = init state, 2 = project independent default.
| GetGPIOstate (self)
| Gets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.
| SetGPIOstate (self, state=0)
| Sets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.
| GetGPIOdirection (self)
| Gets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.
| SetGPIOdirection (self, direction=0)
| Sets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.
| GetFeedbackMode (self)
| Gets feedback mode bitwise per channel, 0 = current, 1 = voltage.
| SetFeedbackMode (self, state=0)
| Sets feedback mode bitwise per channel, 0 = current, 1 = voltage.
| GetAverageInputPower (self)
| Gets average input power (integration time = 1 second)
| GetI2CList (self, channel)
| Gets 16 bytes representing specific I2C address for specific channel.

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x25
dict | reset_FW
dict | FE_power
dict | FE_voltage
dict | PWM_frequency
dict | enable_out0
dict | enable_out1
dict | enable_out2
dict | enable_out3
dict | ADCI0
dict | ADCI1
dict | ADCI2
dict | ADCI3
dict | ADCV0
dict | ADCV1
dict | ADCV2
dict | ADCV3
dict | DEV_POWER0
dict | DEV_POWER1
dict | DEV_POWER2
dict | DEV_POWER3
dict | DEV_TYPE0
dict | DEV_TYPE1
dict | DEV_TYPE2
dict | DEV_TYPE3
dict | UIN
dict | IIN
dict | UFE
dict | AIN0
dict | AIN1
dict | AIN2
dict | AIN3
dict | AUTO_CONFIG
dict | WRITE_CTRL
dict | LOAD_CH0
dict | LOAD_CH1
dict | LOAD_CH2
dict | LOAD_CH3
dict | enable_calibration
dict | DEFAULT_STATE
dict | GPIO_STATE
dict | GPIO_DIRECTION
dict | FB_MODE
dict | Pin_avg
dict | i2c_list_ch0 = {'id': self.sys_id << 8 | 0x00, 'type': bytes}
dict | i2c_list_ch1 = {'id': self.sys_id << 8 | 0x01, 'type': bytes}
dict | i2c_list_ch2 = {'id': self.sys_id << 8 | 0x02, 'type': bytes}
dict | i2c_list_ch3 = {'id': self.sys_id << 8 | 0x03, 'type': bytes}
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    /*
    * \page MiscFeatures Miscellaneous Features
    *
    * Miscellaneous Features system ID : <b>0x25</b>
    *
    * ### Register Map:
    *
    *  | Address | Name                             | Default Value | Description                                                      | Type   |  Access    |
    *  | --------|----------------------------------|---------------|------------------------------------------------------------------|------- | -----------|
    *  | 0x2500  | Reset firmware                   | N/A           | Reading triggers function                                        | uint32 | read only  |
    *  | 0x2501  | FrontEnd power state             | false=0       | Setting of FrontEnd power supply state                           | boolean| read write |
    *  | 0x2502  | FrontEnd voltage                 | 12.0          | Setting of FrontEnd supply voltage [V]                           | float  | read write |
    *  | 0x2503  | Output stage PWM frequency       | 1000          | Setting of PWM frequency [400, 500, 600, 1000 and 1200 kHz]      | uint32 | read write |
    *  | 0x2504  | Enable output stage channel 0    | false=0       | Setting of output stage state channel 0                          | boolean| read write |
    *  | 0x2505  | Enable output stage channel 1    | false=0       | Setting of output stage state channel 1                          | boolean| read write |
    *  | 0x2506  | Enable output stage channel 2    | false=0       | Setting of output stage state channel 2                          | boolean| read write |
    *  | 0x2507  | Enable output stage channel 3    | false=0       | Setting of output stage state channel 3                          | boolean| read write |
    *  | 0x2508  | ADCI0                             | N/A           | Reading of current on channel 0                                  | float  | read only  |
    *  | 0x2509  | ADCI1                             | N/A           | Reading of current on channel 1                                  | float  | read only  |
    *  | 0x250a  | ADCI2                             | N/A           | Reading of current on channel 2                                  | float  | read only  |
    *  | 0x250b  | ADCI3                             | N/A           | Reading of current on channel 3                                  | float  | read only  |
    *  | 0x250c  | ADCV0                             | N/A           | Reading of voltage on channel 0                                  | float  | read only  |
    *  | 0x250d  | ADCV1                             | N/A           | Reading of voltage on channel 1                                  | float  | read only  |
    *  | 0x250e  | ADCV2                             | N/A           | Reading of voltage on channel 2                                  | float  | read only  |
    *  | 0x250f  | ADCV3                             | N/A           | Reading of voltage on channel 3                                  | float  | read only  |
    *  | 0x2510  | DEV_POWER0                        | 0             | Setting 3v3 for device on channel 0                              | uint32 | read write |
    *  | 0x2511  | DEV_POWER1                        | 0             | Setting 3v3 for device on channel 1                              | uint32 | read write |
    *  | 0x2512  | DEV_POWER2                        | 0             | Setting 3v3 for device on channel 2                              | uint32 | read write |
    *  | 0x2513  | DEV_POWER3                        | 0             | Setting 3v3 for device on channel 3                              | uint32 | read write |
    *  | 0x2514  | DEV_MODEL0                        | 0             | get \ref DeviceModel on channel 0                                | uint32 | read only  |
    *  | 0x2515  | DEV_MODEL1                        | 0             | get \ref DeviceModel on channel 1                                | uint32 | read only  |
    *  | 0x2516  | DEV_MODEL2                        | 0             | get \ref DeviceModel on channel 2                                | uint32 | read only  |
    *  | 0x2517  | DEV_MODEL3                        | 0             | get \ref DeviceModel on channel 3                                | uint32 | read only  |
    *  | 0x2518  | Uin                               | N/A           | Reading input voltage                                            | float  | read only  |
    *  | 0x2519  | Iin                               | N/A           | Reading input current                                            | float  | read only  |
    *  | 0x251a  | Ufe                               | N/A           | Reading FE voltage                                               | float  | read only  |
    *  | 0x251b  | ANLGIN0                           | N/A           | Reading of analog input channel 0                                | float  | read only  |
    *  | 0x251c  | ANLGIN1                           | N/A           | Reading of analog input channel 1                                | float  | read only  |
    *  | 0x251d  | ANLGIN2                           | N/A           | Reading of analog input channel 2                                | float  | read only  |
    *  | 0x251e  | ANLGIN3                           | N/A           | Reading of analog input channel 3                                | float  | read only  |
    *  | 0x251f  | AUTO_CONFIG                   | 0             | Reading returns parameter value stored in driver's board eeprom <br/> Writing (1=internal, 2=ext.triger) starts auto-actuation (0=off) | uint32 | read write |
    *  | 0x2520  | WRITE_CTRL                       | 0             | Reading returns WC state, writing sets state of WC output signal | uint32 | read write |
    *  | 0x2521  | LOAD_CH0                         | 0          | Reading load resistance on channel 0 (set some DC current before)| float  | read only  |
    *  | 0x2522  | LOAD_CH1                         | 0          | Reading load resistance on channel 1 (set some DC current before)| float  | read only  |
    *  | 0x2523  | LOAD_CH2                         | 0          | Reading load resistance on channel 2 (set some DC current before)| float  | read only  |
    *  | 0x2524  | LOAD_CH3                         | 0          | Reading load resistance on channel 3 (set some DC current before)| float  | read only  |
    *  | 0x2525  | Enable calibration coefficients  | true=1 *(1)   | Enable calibration coefficients for measurements in this system  | boolean| read write |
    *  | 0x2526  | SET_STATE                         | -             | 1 set driver to init state, 2 set to project independent default | uint32 | write only |
    *  | 0x2527  | GPIO_STATE                       | 0             | Set logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH)          | Bit#<br/>0 - external GPIO0<br/>1 - external GPIO1<br/>2 - external GPIO2<br/>3 - external GPIO3<br/>4 - internal GPIO_IN0<br/>5 - internal GPIO_IN1<br/>6 - internal GPIO_IN4<br/>7 - internal GPIO_IN5| read write |
    *  | 0x2528  | GPIO_DIRECTION                   | 0             | Set direction of GPIO pins (bitwise; 0=INPUT, 1=OUTPUT)          | Bit#<br/>0 - external GPIO0<br/>1 - external GPIO1<br/>2 - external GPIO2<br/>3 - external GPIO3<br/>4 - internal GPIO_IN0<br/>5 - internal GPIO_IN1<br/>6 - internal GPIO_IN4<br/>7 - internal GPIO_IN5| read write |
    *  | 0x2529  | FB_MODE                           | 0             | Set feedback mode bitwise per channel (0=current, 1=voltage) *(2)| uint32 | read write |
    *  | 0x252A  | Pin_avg                           | N/A           | Reading average input power (integration time = 1 second)        | float  | read only  |
    *  *(1) Calibration coefficients are enabled for measurements in this system only in official ICC-4-C builds<br/>
    *  *(2) Feedback mode selection is available only on drivers with HW revision 2 and greater
    *
    * The Miscellaneous system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default     | Description                            | Format and value    |
    * |---------|--------------------------------|-------------|----------------------------------------|---------------------|
    * | 0x2500  | i2c address list on channel0   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2501  | i2c address list on channel1   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2502  | i2c address list on channel2   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2503  | i2c address list on channel3   |   0         | 16 bytes representing specific address | 4*int32, read only  |
    * | 0x2504  | output current all channels    |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2505  | output voltage all channels    |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2506  | load resistance all channels   |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2507  | analog inputs all channels     |   0         | 16 bytes, 4 floats for each channel    | 4*float, read only  |
    * | 0x2508  | out.current calib.coef. chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x2509  | out.current calib.coef. chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x250A  | out.current calib.coef. chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x250B  | out.current calib.coef. chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x250C  | out.voltage calib.coef. chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x250D  | out.voltage calib.coef. chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x250E  | out.voltage calib.coef. chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x250F  | out.voltage calib.coef. chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x2510  | analog input calib.coef.chan#0 |{0,1,0,0,0,0}| 5th grade polynomial for chan#0        | 6*float, read write |
    * | 0x2511  | analog input calib.coef.chan#1 |{0,1,0,0,0,0}| 5th grade polynomial for chan#1        | 6*float, read write |
    * | 0x2512  | analog input calib.coef.chan#2 |{0,1,0,0,0,0}| 5th grade polynomial for chan#2        | 6*float, read write |
    * | 0x2513  | analog input calib.coef.chan#3 |{0,1,0,0,0,0}| 5th grade polynomial for chan#3        | 6*float, read write |
    * | 0x2514  | Uin voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    * | 0x2515  | Iin voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    * | 0x2516  | Ufe voltage calib.coefficient  |{0,1,0,0,0,0}| 5th grade polynomial                   | 6*float, read write |
    *
    */

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.ICCMiscFeatures.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoICC.registers.icc_registers.ICCMiscFeatures.help | ( |  | ) |
| static

## ◆ ResetFW()

optoICC.registers.icc_registers.ICCMiscFeatures.ResetFW | ( |  | self | ) |

Resets firmware of the driver.

## ◆ GetFEpower()

optoICC.registers.icc_registers.ICCMiscFeatures.GetFEpower | ( |  | self | ) |

Gets the frontend power supply state, 0 = false, 1 = true.

## ◆ SetFEpower()

optoICC.registers.icc_registers.ICCMiscFeatures.SetFEpower | ( |  | self,
|  |  | state = 0 )

Sets the frontend power supply state, 0 = false, 1 = true.

## ◆ GetFEvoltage()

optoICC.registers.icc_registers.ICCMiscFeatures.GetFEvoltage | ( |  | self | ) |

Gets the frontend supply voltage, default is 12.0 V.

## ◆ SetFEvoltage()

optoICC.registers.icc_registers.ICCMiscFeatures.SetFEvoltage | ( |  | self,
|  |  | voltage = 12.0 )

Sets the frontend supply voltage, default is 12.0 V.

## ◆ GetPWMfrequency()

optoICC.registers.icc_registers.ICCMiscFeatures.GetPWMfrequency | ( |  | self | ) |

Gets the output stage PWM frequency.

Supported frequencies: 400,500,600,1000,1200

## ◆ SetPWMfrequency()

optoICC.registers.icc_registers.ICCMiscFeatures.SetPWMfrequency | ( |  | self,
|  |  | frequency = 1000 )

Sets the output stage PWM frequency.

Supported frequencies: 400,500,600,1000,1200

## ◆ GetOutputState()

optoICC.registers.icc_registers.ICCMiscFeatures.GetOutputState | ( |  | self,
|  |  | channel )

Gets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.

## ◆ SetOutputState()

optoICC.registers.icc_registers.ICCMiscFeatures.SetOutputState | ( |  | self,
|  |  | channel,
|  |  | state = 0 )

Sets enable output stage flag for specific channel, 0 = disabled, 1 = enabled.

## ◆ GetADCcurrent()

optoICC.registers.icc_registers.ICCMiscFeatures.GetADCcurrent | ( |  | self,
|  |  | channel = 0 )

Reads current [A] on specific channel.

## ◆ GetADCvoltage()

optoICC.registers.icc_registers.ICCMiscFeatures.GetADCvoltage | ( |  | self,
|  |  | channel = 0 )

Reads voltage [V] on specific channel.

## ◆ GetDevicePower()

optoICC.registers.icc_registers.ICCMiscFeatures.GetDevicePower | ( |  | self,
|  |  | channel )

Gets 3v3 for device on specific channel.

## ◆ SetDevicePower()

optoICC.registers.icc_registers.ICCMiscFeatures.SetDevicePower | ( |  | self,
|  |  | channel,
|  |  | state = 0 )

Sets 3v3 for device on specific channel.

## ◆ GetDeviceType()

DeviceModel optoICC.registers.icc_registers.ICCMiscFeatures.GetDeviceType | ( |  | self,
|  |  | channel )

Gets device type connected to specific channel.

## ◆ GetUIN()

optoICC.registers.icc_registers.ICCMiscFeatures.GetUIN | ( |  | self | ) |

Gets input voltage.

## ◆ GetIIN()

optoICC.registers.icc_registers.ICCMiscFeatures.GetIIN | ( |  | self | ) |

Gets input current.

## ◆ GetUFE()

optoICC.registers.icc_registers.ICCMiscFeatures.GetUFE | ( |  | self | ) |

Gets FE voltage.

## ◆ GetAnalogInput()

optoICC.registers.icc_registers.ICCMiscFeatures.GetAnalogInput | ( |  | self,
|  |  | channel = 0 )

Gets analog input voltage on specific channel.

## ◆ GetResistance()

optoICC.registers.icc_registers.ICCMiscFeatures.GetResistance | ( |  | self,
|  |  | channel = 0 )

Gets load resistance on specific channel.

## ◆ GetAutoConfig()

optoICC.registers.icc_registers.ICCMiscFeatures.GetAutoConfig | ( |  | self | ) |

Gets parameter value stored in driver's board eeprom, 0 = off, 1 = internal, 2 = ext.

trigger

## ◆ SetAutoConfig()

optoICC.registers.icc_registers.ICCMiscFeatures.SetAutoConfig | ( |  | self,
|  |  | value )

Sets autoconfig type, 0 = off, 1 = internal, 2 = ext.

trigger

## ◆ GetWcState()

optoICC.registers.icc_registers.ICCMiscFeatures.GetWcState | ( |  | self | ) |

Gets WC state.

## ◆ SetWcState()

optoICC.registers.icc_registers.ICCMiscFeatures.SetWcState | ( |  | self,
|  |  | value )

Sets state of WC output signal.

## ◆ EnableCalCoefficients()

optoICC.registers.icc_registers.ICCMiscFeatures.EnableCalCoefficients | ( |  | self,
|  |  | enable = 1 )

Enables/disables calibration coefficients for measurements in this system, 0 = disabled, 1 = enabled.

## ◆ SetDefaultState()

optoICC.registers.icc_registers.ICCMiscFeatures.SetDefaultState | ( |  | self,
|  |  | state )

Sets driver state, 1 = init state, 2 = project independent default.

## ◆ GetGPIOstate()

optoICC.registers.icc_registers.ICCMiscFeatures.GetGPIOstate | ( |  | self | ) |

Gets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.

## ◆ SetGPIOstate()

optoICC.registers.icc_registers.ICCMiscFeatures.SetGPIOstate | ( |  | self,
|  |  | state = 0 )

Sets logical level on GPIO pins (bitwise), 0 = LOW, 1 = HIGH.

## ◆ GetGPIOdirection()

optoICC.registers.icc_registers.ICCMiscFeatures.GetGPIOdirection | ( |  | self | ) |

Gets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.

## ◆ SetGPIOdirection()

optoICC.registers.icc_registers.ICCMiscFeatures.SetGPIOdirection | ( |  | self,
|  |  | direction = 0 )

Sets direction of GPIO pins (bitwise), 0 = INPUT, 1 = OUTPUT.

## ◆ GetFeedbackMode()

optoICC.registers.icc_registers.ICCMiscFeatures.GetFeedbackMode | ( |  | self | ) |

Gets feedback mode bitwise per channel, 0 = current, 1 = voltage.

## ◆ SetFeedbackMode()

optoICC.registers.icc_registers.ICCMiscFeatures.SetFeedbackMode | ( |  | self,
|  |  | state = 0 )

Sets feedback mode bitwise per channel, 0 = current, 1 = voltage.

## ◆ GetAverageInputPower()

optoICC.registers.icc_registers.ICCMiscFeatures.GetAverageInputPower | ( |  | self | ) |

Gets average input power (integration time = 1 second)

## ◆ GetI2CList()

optoICC.registers.icc_registers.ICCMiscFeatures.GetI2CList | ( |  | self,
|  |  | channel )

Gets 16 bytes representing specific I2C address for specific channel.

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.ICCMiscFeatures._is_a_system = True
| static protected

## ◆ sys_id

int optoICC.registers.icc_registers.ICCMiscFeatures.sys_id = 0x25

## ◆ reset_FW

dict optoICC.registers.icc_registers.ICCMiscFeatures.reset_FW

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ FE_power

dict optoICC.registers.icc_registers.ICCMiscFeatures.FE_power

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ FE_voltage

dict optoICC.registers.icc_registers.ICCMiscFeatures.FE_voltage

Initial value:
= {'id': self.sys_id << 8 | 0x02, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ PWM_frequency

dict optoICC.registers.icc_registers.ICCMiscFeatures.PWM_frequency

Initial value:
= {'id': self.sys_id << 8 | 0x03, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_out0

dict optoICC.registers.icc_registers.ICCMiscFeatures.enable_out0

Initial value:
= {'id': self.sys_id << 8 | 0x04, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_out1

dict optoICC.registers.icc_registers.ICCMiscFeatures.enable_out1

Initial value:
= {'id': self.sys_id << 8 | 0x05, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_out2

dict optoICC.registers.icc_registers.ICCMiscFeatures.enable_out2

Initial value:
= {'id': self.sys_id << 8 | 0x06, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_out3

dict optoICC.registers.icc_registers.ICCMiscFeatures.enable_out3

Initial value:
= {'id': self.sys_id << 8 | 0x07, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCI0

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCI0

Initial value:
= {'id': self.sys_id << 8 | 0x08, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCI1

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCI1

Initial value:
= {'id': self.sys_id << 8 | 0x09, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCI2

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCI2

Initial value:
= {'id': self.sys_id << 8 | 0x0a, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCI3

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCI3

Initial value:
= {'id': self.sys_id << 8 | 0x0b, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCV0

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCV0

Initial value:
= {'id': self.sys_id << 8 | 0x0c, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCV1

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCV1

Initial value:
= {'id': self.sys_id << 8 | 0x0d, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCV2

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCV2

Initial value:
= {'id': self.sys_id << 8 | 0x0e, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ ADCV3

dict optoICC.registers.icc_registers.ICCMiscFeatures.ADCV3

Initial value:
= {'id': self.sys_id << 8 | 0x0f, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_POWER0

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_POWER0

Initial value:
= {'id': self.sys_id << 8 | 0x10, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_POWER1

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_POWER1

Initial value:
= {'id': self.sys_id << 8 | 0x11, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_POWER2

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_POWER2

Initial value:
= {'id': self.sys_id << 8 | 0x12, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_POWER3

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_POWER3

Initial value:
= {'id': self.sys_id << 8 | 0x13, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_TYPE0

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_TYPE0

Initial value:
= {'id': self.sys_id << 8 | 0x14, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_TYPE1

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_TYPE1

Initial value:
= {'id': self.sys_id << 8 | 0x15, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_TYPE2

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_TYPE2

Initial value:
= {'id': self.sys_id << 8 | 0x16, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ DEV_TYPE3

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEV_TYPE3

Initial value:
= {'id': self.sys_id << 8 | 0x17, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ UIN

dict optoICC.registers.icc_registers.ICCMiscFeatures.UIN

Initial value:
= {'id': self.sys_id << 8 | 0x18, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ IIN

dict optoICC.registers.icc_registers.ICCMiscFeatures.IIN

Initial value:
= {'id': self.sys_id << 8 | 0x19, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ UFE

dict optoICC.registers.icc_registers.ICCMiscFeatures.UFE

Initial value:
= {'id': self.sys_id << 8 | 0x1a, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AIN0

dict optoICC.registers.icc_registers.ICCMiscFeatures.AIN0

Initial value:
= {'id': self.sys_id << 8 | 0x1b, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AIN1

dict optoICC.registers.icc_registers.ICCMiscFeatures.AIN1

Initial value:
= {'id': self.sys_id << 8 | 0x1c, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AIN2

dict optoICC.registers.icc_registers.ICCMiscFeatures.AIN2

Initial value:
= {'id': self.sys_id << 8 | 0x1d, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AIN3

dict optoICC.registers.icc_registers.ICCMiscFeatures.AIN3

Initial value:
= {'id': self.sys_id << 8 | 0x1e, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ AUTO_CONFIG

dict optoICC.registers.icc_registers.ICCMiscFeatures.AUTO_CONFIG

Initial value:
= {'id': self.sys_id << 8 | 0x1f, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ WRITE_CTRL

dict optoICC.registers.icc_registers.ICCMiscFeatures.WRITE_CTRL

Initial value:
= {'id': self.sys_id << 8 | 0x20, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ LOAD_CH0

dict optoICC.registers.icc_registers.ICCMiscFeatures.LOAD_CH0

Initial value:
= {'id': self.sys_id << 8 | 0x21, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ LOAD_CH1

dict optoICC.registers.icc_registers.ICCMiscFeatures.LOAD_CH1

Initial value:
= {'id': self.sys_id << 8 | 0x22, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ LOAD_CH2

dict optoICC.registers.icc_registers.ICCMiscFeatures.LOAD_CH2

Initial value:
= {'id': self.sys_id << 8 | 0x23, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ LOAD_CH3

dict optoICC.registers.icc_registers.ICCMiscFeatures.LOAD_CH3

Initial value:
= {'id': self.sys_id << 8 | 0x24, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ enable_calibration

dict optoICC.registers.icc_registers.ICCMiscFeatures.enable_calibration

Initial value:
= {'id': self.sys_id << 8 | 0x25, 'type': int, 'unit': None, 'range': None,
'default': None, 'value': None}

## ◆ DEFAULT_STATE

dict optoICC.registers.icc_registers.ICCMiscFeatures.DEFAULT_STATE

Initial value:
= {'id': self.sys_id << 8 | 0x26, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ GPIO_STATE

dict optoICC.registers.icc_registers.ICCMiscFeatures.GPIO_STATE

Initial value:
= {'id': self.sys_id << 8 | 0x27, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ GPIO_DIRECTION

dict optoICC.registers.icc_registers.ICCMiscFeatures.GPIO_DIRECTION

Initial value:
= {'id': self.sys_id << 8 | 0x28, 'type': int, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ FB_MODE

dict optoICC.registers.icc_registers.ICCMiscFeatures.FB_MODE

Initial value:
= {'id': self.sys_id << 8 | 0x29, 'type': int, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ Pin_avg

dict optoICC.registers.icc_registers.ICCMiscFeatures.Pin_avg

Initial value:
= {'id': self.sys_id << 8 | 0x2a, 'type': float, 'unit': None, 'range': None, 'default':
None, 'value': None}

## ◆ i2c_list_ch0

optoICC.registers.icc_registers.ICCMiscFeatures.i2c_list_ch0 = {'id': self.sys_id << 8 | 0x00, 'type': bytes}

## ◆ i2c_list_ch1

optoICC.registers.icc_registers.ICCMiscFeatures.i2c_list_ch1 = {'id': self.sys_id << 8 | 0x01, 'type': bytes}

## ◆ i2c_list_ch2

optoICC.registers.icc_registers.ICCMiscFeatures.i2c_list_ch2 = {'id': self.sys_id << 8 | 0x02, 'type': bytes}

## ◆ i2c_list_ch3

optoICC.registers.icc_registers.ICCMiscFeatures.i2c_list_ch3 = {'id': self.sys_id << 8 | 0x03, 'type': bytes}

## ◆ name

optoICC.registers.icc_registers.ICCMiscFeatures.name = self.__class__.__name__